
Katello - Bug #23990

Content -> RH Subscriptions => Deface warnings + RoutingError

06/18/2018 10:55 PM - Walden Raines

Status: New   

Priority: Low   

Assignee:    

Category: Web UI   

Target version: Katello Backlog   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases: Katello 3.7.0

Bugzilla link: 1585999 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1585999

Description of problem:

When going to Content -> Red Hat Subscriptions in the WebUI, I get some Deface warnings, e.g.

"""

No :original defined for 'theme_resources', you should change its definition to include:

:original => '832bbb11950755069021b93378fd070290792022'

"""

, and a RoutingError

"""

ActionController::RoutingError (No route matches [GET] "/javascripts/bastion/angular-i18n/angular-locale_en.js"):

2018-06-05T05:10:53 [F|app|]

2018-06-05T05:10:53 [F|app|] katello (3.7.0.0.5) lib/katello/prevent_json_parsing.rb:12:in `call'

"""

, foreman-tail log attached.

Version-Release number of selected component (if applicable):

Sat 6.4 snap 6

How reproducible:

Deterministic

Steps to Reproduce:

In WebUI, go to Content -> Red Hat Subscriptions while tailing the logs

Actual results:

Warnings, error, but the page loads

Expected results:

The page laods without warnings and errors

Additional info:

Reporting as WebUI problem because this happens in english version, feel free to switch this to Localization and Internatiolization

issue if more appropriate

History

#1 - 06/20/2018 05:48 PM - Jonathon Turel

- translation missing: en.field_release set to 338

#2 - 06/27/2018 06:17 PM - Andrew Kofink

- Priority changed from Normal to Low
#3 - 08/03/2018 05:42 PM - Jonathon Turel

- Target version changed from Katello 3.7.0 to Katello 3.9.0

- Found in Releases Katello 3.7.0 added

#4 - 10/03/2018 06:08 PM - Jonathon Turel

- Target version changed from Katello 3.9.0 to Katello Backlog
